.common_open_community_mr_conditions: &common_open_community_mr_conditions
  state: opened
  date:
    attribute: created_at
    condition: newer_than
    interval_type: days
    interval: 1

.common_merged_community_mr_conditions: &common_merged_community_mr_conditions
  state: merged
  date:
    attribute: created_at
    condition: newer_than
    interval_type: days
    interval: 1

.non_gitlab_org_member: &non_gitlab_org_member
  author_member:
    source: group
    condition: not_member_of
    source_id: gitlab-org
  ruby: |
    !maybe_automation_author? && !contractor_author?

.core_team_member: &core_team_member
  author_member:
    source: group
    condition: member_of
    source_id: gitlab-org/gitlab-core-team/community-members

.common_community_mr_actions: &common_community_mr_actions
  labels:
    - Community contribution
  comment: |
    #{ '/label ~"1st contribution"' if first_contribution? }

resource_rules:
  merge_requests:
    rules:
      - name: Label open community merge requests
        conditions:
          <<: *common_open_community_mr_conditions
          <<: *non_gitlab_org_member
        actions:
          <<: *common_community_mr_actions
      - name: Label merged community merge requests
        conditions:
          <<: *common_merged_community_mr_conditions
          <<: *non_gitlab_org_member
        actions:
          <<: *common_community_mr_actions

      - name: Label open core team merge requests
        conditions:
          <<: *common_open_community_mr_conditions
          <<: *core_team_member
        actions:
          <<: *common_community_mr_actions
      - name: Label merged core team merge requests
        conditions:
          <<: *common_merged_community_mr_conditions
          <<: *core_team_member
        actions:
          <<: *common_community_mr_actions
